%define testname alt-alternatives-vs-filesystem

Name: repocop-unittest-%testname
Version: 0.03
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: repocop test for alternatives/filesystem intersections.
Group: Development/Other
License: GPL or Artistic
#Url: 
Requires: repocop >= 0.07
Requires: repocop-collector-altlinux-alternatives > 0.01
Requires: sqlite3


%description
Repocop intergration test for alternatives/filesystem intersections.
ALT Linux specific.

%prep

%build
cat > %testname.done <<'EOF'
#!/bin/sh
#--select rpm_files.pkgid, group_concat(FILENAME), group_concat(altlinux_alternatives.pkgid) from altlinux_alternatives, rpm_files WHERE ALTALTERNATIVE=FILENAME GROUP BY rpm_files.pkgid;
sqlite3 "$REPOCOP_TEST_DBDIR/altlinux-alternatives.db" <<EOSQL
attach database '$REPOCOP_TEST_DBDIR/rpm.db' as rpm;
.mode tabs
.output $REPOCOP_TEST_TMPDIR/warn
select rpm_files.pkgid, FILENAME, altlinux_alternatives.pkgid from altlinux_alternatives, rpm_files WHERE ALTALTERNATIVE=FILENAME;
EOSQL
perl -ne 'chomp;@a=split /\t/;system("repocop-test-warn -k $a[0] file $a[1] is alternative in package: $a[2]")' $REPOCOP_TEST_TMPDIR/warn
rm $REPOCOP_TEST_TMPDIR/warn
EOF

%install

mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/%testname/
%__install -m 755 %testname.done $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/%testname/done

%files
#doc README ChangeLog
%_datadir/repocop/pkgtests/%testname

%changelog
* Sat Oct 18 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- new collector

* Thu Mar 27 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- test cleanup

* Tue Mar 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- First build for Sisyphus.
